Product comparison · 2 ip phones

HP Poly Rove Multi Cell DECT 1880-1900 MHz B4 Base Station vs Yealink T58W(Pro) with Camera

Add a product
  • 23specifications compared
  • 14differ
  • 9identical
  • 70known for one product only

Key differences

The Yealink T58W(Pro) with Camera has 140 mm more package width than the HP Poly Rove Multi Cell DECT 1880-1900 MHz B4 Base Station (324 mm vs 184 mm). The Yealink T58W(Pro) with Camera has 154 mm more package depth than the HP Poly Rove Multi Cell DECT 1880-1900 MHz B4 Base Station (293 mm vs 139 mm). The Yealink T58W(Pro) with Camera has 84 mm more package height than the HP Poly Rove Multi Cell DECT 1880-1900 MHz B4 Base Station (128 mm vs 44 mm). Only the Yealink T58W(Pro) with Camera has answering machine. Only the Yealink T58W(Pro) with Camera has touchscreen.

  • Product colour
    • Rove Multi Cell DECT 1880-1900 MHz B4 Base Station:Black
    • T58W(Pro) with Camera:Grey
  • Answering machine
    • Rove Multi Cell DECT 1880-1900 MHz B4 Base Station:No
    • T58W(Pro) with Camera:Yes
  • Display diagonal
    • Rove Multi Cell DECT 1880-1900 MHz B4 Base Station:15.5 cm (6.1")
    • T58W(Pro) with Camera:17.8 cm (7")
  • Touchscreen
    • Rove Multi Cell DECT 1880-1900 MHz B4 Base Station:No
    • T58W(Pro) with Camera:Yes
  • Wi-Fi
    • Rove Multi Cell DECT 1880-1900 MHz B4 Base Station:No
    • T58W(Pro) with Camera:Yes
  • Bluetooth
    • Rove Multi Cell DECT 1880-1900 MHz B4 Base Station:No
    • T58W(Pro) with Camera:Yes
  • Operating relative humidity (H-H)
    • Rove Multi Cell DECT 1880-1900 MHz B4 Base Station:5 - 95%
    • T58W(Pro) with Camera:5 - 90%
  • Operating temperature (T-T)
    • Rove Multi Cell DECT 1880-1900 MHz B4 Base Station:-10 - 55 °C
    • T58W(Pro) with Camera:-10 - 45 °C

Side by side

Differences highlightedShow differences only (off)
Comparison of Rove Multi Cell DECT 1880-1900 MHz B4 Base Station, T58W(Pro) with Camera
93 specifications
Design1 differ
Product typeIP PhoneIP Phone
Handset typeKnown for oneUnknown — not stated by the sourceWireless handset
Product colourDiffersBlackGrey
Wall mountableKnown for oneUnknown — not stated by the sourceYes
Performanceidentical
Dual-Tone Multi-Frequency (DTMF) modesKnown for oneUnknown — not stated by the sourceIn-band, Out-of band, SIP info
Hearing aid compatibilityKnown for oneUnknown — not stated by the sourceYes
DECT connectableKnown for oneYesUnknown — not stated by the source
Maximum indoor rangeKnown for one50 mUnknown — not stated by the source
Phone features1 differ
Answering machineDiffersNoYes
Anonymous callKnown for oneUnknown — not stated by the sourceYes
Anonymous call rejectionKnown for oneUnknown — not stated by the sourceYes
Call forwardingKnown for oneUnknown — not stated by the sourceYes
Call holdKnown for oneUnknown — not stated by the sourceYes
Call parkKnown for oneUnknown — not stated by the sourceYes
Call pick upKnown for oneUnknown — not stated by the sourceYes
Call returnKnown for oneUnknown — not stated by the sourceYes
Call transferKnown for oneUnknown — not stated by the sourceYes
Call waitingKnown for oneUnknown — not stated by the sourceYes
Caller IDYesYes
Conference callYesYes
Do not disturb functionYesYes
Full duplexKnown for oneUnknown — not stated by the sourceYes
IntercomKnown for oneUnknown — not stated by the sourceYes
Message-waiting indicator (MWI)Known for oneUnknown — not stated by the sourceYes
Phonebook capacityKnown for oneUnknown — not stated by the source1000 entries
RedialingKnown for oneUnknown — not stated by the sourceYes
Speed diallingKnown for oneUnknown — not stated by the sourceYes
Lines quantityKnown for one20 linesUnknown — not stated by the source
Number of VoIP accountsKnown for one1000Unknown — not stated by the source
Management featuresidentical
Integrated voicemailKnown for oneUnknown — not stated by the sourceYes
Keypad number of keysKnown for oneUnknown — not stated by the source27
Number of function keysKnown for oneUnknown — not stated by the source7
Display2 differ
DisplayKnown for oneUnknown — not stated by the sourceLCD
Display diagonalDiffers15.5 cm (6.1")17.8 cm (7")
Display resolutionKnown for oneUnknown — not stated by the source1024 x 600 pixels
TouchscreenDiffersNoYes
Touchscreen typeKnown for oneUnknown — not stated by the sourceCapacitive
Cameraidentical
Front cameraKnown for oneUnknown — not stated by the sourceYes
Front camera resolution (numeric)Known for oneUnknown — not stated by the source2 MP
Field of view (FOV) angleKnown for oneUnknown — not stated by the source75°
Camera privacy shutterKnown for oneUnknown — not stated by the sourceYes
Audio1 differ
SpeakerphoneYesYes
Microphone muteYesYes
Adaptive jitter buffersKnown for oneUnknown — not stated by the sourceYes
Automatic gain controlKnown for oneUnknown — not stated by the sourceYes
Comfort noise generation (CNG)Known for oneUnknown — not stated by the sourceYes
Noise reductionKnown for oneUnknown — not stated by the sourceYes
Packet loss concealment (PLC)Known for oneUnknown — not stated by the sourceYes
Voice activity detectionYesYes
Voice codecsDiffersG.711, G.722, G.726, G.729A, G.729ab, OPUSG.711a, G.722, G.723.1, G.726, G.729, G.729A, G.729B, iLBC
Videoidentical
Video callKnown for oneUnknown — not stated by the sourceYes
Bit rateKnown for oneUnknown — not stated by the source512 Kbit/s
Video resolutionsKnown for oneUnknown — not stated by the source1280 x 720 pixels
Video capture resolution (max)Known for oneUnknown — not stated by the source1280 x 720 pixels
Video capturing speedKnown for oneUnknown — not stated by the source30 fps
Video codecsKnown for oneUnknown — not stated by the sourceH.264 High Profile, H.264, VP8
Network2 differ
Ethernet LANYesYes
Ethernet LAN data ratesKnown for oneUnknown — not stated by the source1000 Mbit/s
Ethernet LAN interface typeKnown for oneUnknown — not stated by the sourceGigabit Ethernet
Wi-FiDiffersNoYes
Wi-Fi standardsKnown for oneUnknown — not stated by the source802.11a, 802.11b, 802.11g, Wi-Fi 4 (802.11n)
BluetoothDiffersNoYes
Bluetooth versionKnown for oneUnknown — not stated by the source4.2
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the source256-bit AES, HTTPS, TLS, WPA2, WPA3
Supported network protocolsKnown for oneUnknown — not stated by the sourceIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)
Ports & interfacesidentical
USB 2.0 ports quantityKnown for oneUnknown — not stated by the source2
Ethernet LAN (RJ-45) portsKnown for oneUnknown — not stated by the source2
RJ-9 ports quantityKnown for oneUnknown — not stated by the source2
Poweridentical
Power over Ethernet (PoE)YesYes
AC adapter input voltageKnown for one100 - 240 VUnknown — not stated by the source
Input frequencyKnown for one50 - 60 HzUnknown — not stated by the source
AC adapter output voltageKnown for one5 VUnknown — not stated by the source
AC adapter output currentKnown for one2 AUnknown — not stated by the source
Standby timeKnown for one300 hUnknown — not stated by the source
Talk timeKnown for one18 hUnknown — not stated by the source
Operational conditions2 differ
Operating relative humidity (H-H)Differs5 - 95%5 - 90%
Operating temperature (T-T)Differs-10 - 55 °C-10 - 45 °C
Storage temperature (T-T)Known for one-40 - 70 °CUnknown — not stated by the source
Weight & dimensions4 differ
WidthKnown for oneUnknown — not stated by the source259.4 mm
DepthKnown for oneUnknown — not stated by the source220 mm
HeightKnown for oneUnknown — not stated by the source239 mm
Package widthDiffers184 mm324 mm
Package depthDiffers139 mm293 mm
Package heightDiffers44 mm128 mm
Package weightDiffers300 g8.8 kg
WeightKnown for one179 gUnknown — not stated by the source
Packaging content1 differ
Number of handles includedDiffers0 pc(s)1 pc(s)
Certificatesidentical
Sustainability certificatesKnown for oneENERGY STARUnknown — not stated by the source
Logistics dataidentical
Country of originKnown for oneChinaUnknown — not stated by the source
Pallet gross weightKnown for one357 kgUnknown — not stated by the source
UNSPSC-codeKnown for one43191606Unknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons